For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • POSTObtain token for provided credentials
      • POSTObtain token for read-only demo access
      • POSTObtain new token with refresh-token
      • POSTLog user out
      • POSTRequest user password reset
      • POSTReset password
      • POSTActivate User
      • POSTSSO authentication callback
  • Transaction API
  • Event API
LoginSandbox
Identity APIAuthentication

Obtain new token with refresh-token

POST
/v:version/oauth/refresh-token
POST
/v:version/oauth/refresh-token
$curl -X POST https://test.api.solvimon.com/v1/oauth/refresh-token
1{
2 "issued_at": "string",
3 "access_token": "string",
4 "expires_in": 1,
5 "expires_at": "string",
6 "token_type": "string",
7 "scope": "string",
8 "id_token": "string"
9}
Was this page helpful?
Previous

Log user out

Next
Built with

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
issued_atstring or nullRead-only
access_tokenstringformat: "^[a-zA-Z0-9_\-]*"0-256 characters
expires_inlong
expires_atstring or nullRead-only
token_typestring
scopestring or null
id_tokenstring or null

Errors

401
Unauthorized Error